/* Global */
@import url('https://fonts.googleapis.com/css2?family=Amiri:ital,wght@0,400;0,700;1,400;1,700&family=Noto+Kufi+Arabic:wght@100..900&display=swap');
html, body{
    padding:0;
    margin:0;
}
h1,h2,h3,h4,h5,h6, p{
    margin:0;
}

body{
    background-color:#f1f4f9;
    font-family: "Noto Kufi Arabic", sans-serif;
    font-weight:300;
    direction:rtl;
}

h1,h2,h3,h4,h5,h6{
  font-family: "Amiri", sans-serif;
    font-weight:700;
}
p{
    font-weight:400;
    font-size:clamp(14px,4vw,16px);
line-height:clamp(12px,6vw,24px);
}
.text-muted{
    color:#0a0523b3;
}

a{
    color:#000000;
}
/* /Global */

/*
*
* Table
*
*/
.container-table100 {
    width: 100%;
    min-height: 100vh;
    background: #f1f4f9;
  
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    flex-direction:column;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    padding: 33px 30px;
    box-sizing:border-box;
  }
  
  
  table {
    border-spacing: 1;
    border-collapse: collapse;
    background: white;
    border-radius: 10px;
    overflow: hidden;
    width: 100%;
    margin: 0 auto;
    position: relative;
  }
  table * {
    position: relative;
  }
  table td, table th {
    padding-right: 20px;
  }
  table thead tr {
    height: 60px;
    background: #36304a;
  }
  table tbody tr {
    height: 50px;
  }
  table tbody tr:last-child {
    border: 0;
  }
  table td, table th {
    text-align: right;
  }
  table td.l, table th.l {
    text-align: right;
  }
  table td.c, table th.c {
    text-align: center;
  }
  table td.r, table th.r {
    text-align: center;
  }
  
  
  .table100-head th{  
    font-size: 18px;
    color: #fff;
    line-height: 1.2;
    font-weight: unset;
  }
  
  tbody tr:nth-child(even) {
    background-color:#f9f9f9;
  }
  
  tbody tr {
    font-size: 15px;
    color: #808080;
    line-height: 1.2;
    font-weight: unset;
  }
  
  tbody tr:hover {
    color: #555555;
    background-color: #f5f5f5;
  }
  /*
  
  .column1 {
    width: 120px;
  }
  
  .column2 {
    width: 300px;
  }
  
  .column3 {
    min-width: 250px;
  }
  
  
  .column4 {
    min-width: 100px;
  }*/
  
  @media screen and (min-width: 992px){
    tbody td{
        padding:10px 20px;
    }
  }
  
  @media screen and (max-width: 992px) {
    .wrap-table100{
        width:100%;
    }
    table {
      display: block;
    }
    table > *, table tr, table td, table th {
      display: block;
    }
    table thead {
      display: none;
    }
    table tbody tr {
      height: auto;
      padding: 37px 0;
    }
    table tbody tr td {
      padding-right: 35% !important;
      margin-bottom: 24px;
    }
    table tbody tr td:first-child {
        padding-right:30px !important;
      }
    table tbody tr td:last-child {
      margin-bottom: 0;
    }
    table tbody tr td:after {
      font-size: 14px;
      color: #999999;
      line-height: 1.2;
      font-weight: unset;
      position: absolute;
      width: 35%;
      right: 30px;
      top: 0;
    }
    table tbody tr td:nth-child(2):after {
      content: "رقم الدعوة";
    }
    table tbody tr td:nth-child(3):after {
      content: "إسم الضيف";
    }
    table tbody tr td:nth-child(4):after {
      content: "المهنة";
    }
    table tbody tr td:nth-child(5):after {
      content: "رابط الدعوة";
    }
    table tbody tr td:nth-child(6):after {
      content: "إرسال الدعوة";
    }
  
 
    .column4,
    
    .column1,
    .column2,
    .column3 {
      width: 100%;
    }
  
    tbody tr {
      font-size: 14px;
    }
  }
  
  @media (max-width: 576px) {
    .container-table100 {
      padding-left: 15px;
      padding-right: 15px;
    }
  }
  
  table tbody tr.disabled {
    opacity:0.5;
  }
  table tbody tr.disabled .button {
    pointer-events: none;
  }

/* Pagination */
#pages{
  font-size: 18px;
  padding:3px 5px;
}
.pagination{
  margin-top:20px;
}
.pagination a{
  display:inline-flex;
  align-items:center;
  text-decoration:none;
}
.pagination a:first-child{
  margin-left:20px;
}
.pagination a:hover{
  opacity:0.8;
}
.pagination a:first-child i{
  padding-left:5px;
}
.pagination a:last-child i{
  padding-right:5px;
}
/* Share Button */
.button {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: 9px 12px;
    gap: 8px;
    height: 25px;
    width: auto;
    border: none;
    background: #222222;
    border-radius: 10px;
    cursor: pointer;
    color:#ffffff;
    text-decoration:none;
    font-size: 20px;
  }
  .button.whatsapp{
    background: #25D366;
  }
  
  .label {
    line-height: 22px;
    font-size: 14px;
    color: #fff;
    letter-spacing: 1px;
  }
  
  .button:hover {
    opacity:0.8;
  }
  .copy-msg {
    display:none;
  }
  .copy-msg.active {
    display:block;
  }
  
  .button:hover .svg-icon {
    animation: flickering 2s linear infinite;
  }
  
  @keyframes flickering {
    0% {
      opacity: 1;
    }
  
    50% {
      opacity: 1;
    }
  
    52% {
      opacity: 1;
    }
  
    54% {
      opacity: 0;
    }
  
    56% {
      opacity: 1;
    }
  
    90% {
      opacity: 1;
    }
  
    92% {
      opacity: 0;
    }
  
    94% {
      opacity: 1;
    }
  
    96% {
      opacity: 0;
    }
  
    98% {
      opacity: 1;
    }
  
    99% {
      opacity: 0;
    }
  
    100% {
      opacity: 1;
    }
  }
  .toggle-switch {
    position: relative;
    display: inline-block;
    width: 70px;
    height: 30px;
    cursor: pointer;
  }
  
  .toggle-switch input[type="checkbox"] {
    display: none;
  }
  
  .toggle-switch-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #ddd;
    border-radius: 20px;
    box-shadow: inset 0 0 0 2px #ccc;
    transition: background-color 0.3s ease-in-out;
  }
  
  .toggle-switch-handle {
    position: absolute;
    top: 5px;
    left: 5px;
    width: 20px;
    height: 20px;
    background-color: #fff;
    border-radius: 50%;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease-in-out;
  }
  
  .toggle-switch::before {
    content: "";
    position: absolute;
    top: -25px;
    right: -35px;
    font-size: 12px;
    font-weight: bold;
    color: #aaa;
    text-shadow: 1px 1px #fff;
    transition: color 0.3s ease-in-out;
  }
  
  .toggle-switch input[type="checkbox"]:checked + .toggle-switch-handle {
    transform: translateX(45px);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2), 0 0 0 3px #E42628;
  }
  
  .toggle-switch input[type="checkbox"]:checked + .toggle-switch-background {
    background-color: #E42628;
    box-shadow: inset 0 0 0 2px #E42628;
  }
  
  .toggle-switch input[type="checkbox"]:checked + .toggle-switch:before {
    content: "On";
    color: #E42628;
    right: -15px;
  }
  
  .toggle-switch input[type="checkbox"]:checked + .toggle-switch-background .toggle-switch-handle {
    transform: translateX(40px);
  }
  /*
  *
  * Invitation
  *
  */
.container{
    width:100%;
    min-height:100svh;
    display:flex;
    align-items:center;
    flex-direction:column;
    padding: 50px 0;
}
.container-inner{
  max-width:500px;
  min-height:100svh;
  display:flex;
  align-items:center;
  justify-content:center;
  flex-direction:column;
}
.intro{
  width:100%;
  text-align:center;
    box-sizing:border-box;
    padding:0 30px;
}
.intro h1{
font-size:clamp(18px,6vw,48px);
line-height:clamp(18px,6vw,48px);
color:#222222;
margin-bottom:10px;
}
.intro p{
color:#212121;
}
.card {
width:100%;
max-width: 250px;
border-radius: 15px;
background: #ffffff;
display: flex;
flex-direction: column;
position: relative;
overflow: hidden;
border:1px solid rgba(0, 0, 0, 0.1);
margin:30px 0;
}

.card img {
width:180px;
margin:10px auto;
}
.content {
flex-grow: 1;
padding: 15px;
display: flex;
flex-direction: column;
text-align:center;
padding:30px 0;
}
.content .invite-id{
font-size:clamp(24px,25vw,96px);
line-height:clamp(24px,25vw,96px);
font-weight: 900;
color:#E42628;
}
.content .raw_number{
  font-size:24px;
  line-height:24px;
  font-weight: 900;
  color:#E42628;
  }
.content h2 {
font-size:clamp(20px,6vw,32px);
line-height:clamp(30px,9vw,48px);
font-weight: 800;
}
.content p {
font-size:0.8em;
color:#888888;
}
.content a {
  font-size:0.8em;
  color:#888888;
  text-decoration:none;
  }

.icons {
display: flex;
justify-items: center;
align-items: center;
width: 250px;
border-radius: 0px 0px 15px 15px;
overflow: hidden;
}

.btn {
border: none;
width: 100%;
height: 35px;
background-color: rgba(247, 234, 234, 0.589);
display: flex;
align-items: center;
justify-content: center;
}
.svg-icon {
width: 25px;
height: 25px;
stroke: #E42628;
}
.btn:hover {
background-color: rgb(247, 234, 234);
}
.footer{  
text-align:center;

}
.footer p{
  font-size:0.8em;
  color:#888888;
  padding:0 30px;
}

.attendance-success svg{
  width:100px;
}

/*
*
* Login
*
*/
.form {
  display: flex;
  flex-direction: column;
  gap: 10px;
  background-color: #ffffff;
  padding: 30px;
  width: 100%;
  max-width:450px;
  border-radius: 20px;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

::placeholder {
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.form button {
  align-self: flex-end;
}

.flex-column > label {
  color: #151717;
  font-weight: 600;
}

.inputForm {
  border: 1.5px solid #ecedec;
  border-radius: 10px;
  height: 50px;
  display: flex;
  align-items: center;
  padding-right: 10px;
  transition: 0.2s ease-in-out;
}

.input {
  margin-left: 10px;
  border-radius: 10px;
  border: none;
  width: 85%;
}

.input:focus {
  outline: none;
}

.inputForm:focus-within {
  border: 1.5px solid #2d79f3;
}

.flex-row {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
  justify-content: space-between;
}

.flex-row > div > label {
  font-size: 14px;
  color: black;
  font-weight: 400;
}

.span {
  font-size: 14px;
  margin-left: 5px;
  color: #2d79f3;
  font-weight: 500;
  cursor: pointer;
}

.button-submit {
  margin: 20px 0 10px 0;
  background-color: #151717;
  border: none;
  color: white;
  font-size: 15px;
  font-weight: 500;
  border-radius: 10px;
  height: 50px;
  width: 100%;
  cursor: pointer;
}

.button-submit:hover {
  background-color: #252727;
}

.p {
  text-align: center;
  color: black;
  font-size: 14px;
  margin: 5px 0;
}

.form .btn {
  margin-top: 10px;
  width: 100%;
  height: 50px;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 500;
  gap: 10px;
  border: 1px solid #ededef;
  background-color: white;
  cursor: pointer;
  transition: 0.2s ease-in-out;
}

.form .btn:hover {
  border: 1px solid #2d79f3;
}

.form-error{
  color:red;
  padding-bottom:5px;
}
.logged-account{
  height:100svh;
  display:flex;
  align-items:center;
  justify-content:center;
  flex-direction:column;
  text-align:center;
}
  .logged-account svg{
  width:clamp(100px,10vw,200px);
  margin-bottom:50px;
}
.logged-account a{
text-decoration:none;
color:blue;
}